Page MenuHomePhabricator

Package a modern version of etcd for jessie, trusty
Closed, ResolvedPublic

Description

The etcd version in jessie is way too old, we need to backport the package for sid, and update it to the latest point release of etcd.

Event Timeline

Joe created this task.May 4 2015, 7:34 AM
Joe raised the priority of this task from to Low.
Joe updated the task description. (Show Details)
Joe added projects: Traffic, acl*sre-team.
Joe added subscribers: faidon, Joe, MoritzMuehlenhoff and 2 others.
Joe claimed this task.May 4 2015, 8:36 AM
Joe raised the priority of this task from Low to High.
Joe set Security to None.
Joe added a comment.May 4 2015, 10:55 AM

I created the package from the HEAD of the unstable branch of the debian repository http://anonscm.debian.org/cgit/pkg-go/packages/etcd.git/?h=unstable

Also, I created the packages for two build-deps golang-codegangsta-cli and golang-toml from the latest unstable/experimental versioms).

All three packages have been uploaded to apt.w.o in jessie-wikimedia/backports

Joe moved this task from Backlog to In progress on the discovery-system board.May 5 2015, 4:55 PM
Joe moved this task from In progress to Backlog on the discovery-system board.Jun 1 2015, 4:10 PM
hashar added a subscriber: hashar.Jul 24 2015, 9:24 AM

Per discussion with @Joe, CI will run the etcd Jenkins jobs on Jessie. Saves you from having to package it for Trusty solely for CI needs.

https://gerrit.wikimedia.org/r/226685 adds etcd package on the Jessie slaves.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 24 2015, 9:24 AM
Joe added a comment.Jul 27 2015, 7:22 AM

Making the proper package work on trusty is a real pain, I suggest building a lame binary package for that if we want to. For now closing as resolved.

Joe closed this task as Resolved.Jul 27 2015, 7:22 AM
BBlack moved this task from Triage to Done on the Traffic board.Aug 7 2015, 4:41 AM